<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package WordPress
 * @subpackage Twenty_Eleven
 * @since Twenty Eleven 1.0
 */
?><!DOCTYPE html>
<!--[if IE 6]>
<html id="ie6" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 7]>
<html id="ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html id="ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 6) | !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width" />
<title><?php
	/*
	 * Print the <title> tag based on what is being viewed.
	 */
	global $page, $paged;

	wp_title( '|', true, 'right' );

	// Add the blog name.
	bloginfo( 'name' );

	// Add the blog description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		echo " | $site_description";

	// Add a page number if necessary:
	if ( $paged >= 2 || $page >= 2 )
		echo ' | ' . sprintf( __( 'Page %s', 'twentyeleven' ), max( $paged, $page ) );

	?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="stylesheet" type="text/css" media="all" href="//cnzhx.net/wp-content/themes/cnzhx2011/style.css<?php //bloginfo( 'stylesheet_url' ); ?>?v=162" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />

<!--[if lt IE 9]>
<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
<![endif]-->
<?php
	/* We add some JavaScript to pages with the comment form
	 * to support sites with threaded comments (when in use).
	 */
	if ( is_singular() && get_option( 'thread_comments' ) )
		wp_enqueue_script( 'comment-reply' );

	/* Always have wp_head() just before the closing </head>
	 * tag of your theme, or you will break many plugins, which
	 * generally use this hook to add elements to <head> such
	 * as styles, scripts, and meta tags.
	 */
	wp_head();
?>
<?php // costumed by cnzhx start ?>
<?php
/**
 * 
 * add meta keywords and description by conditionary
 * 
 * 以下内容针对网站首页
 */
if ( is_home() || is_front_page() ) { //判断是否为首页
	$c_blog_id = get_current_blog_id();
	if (  $c_blog_id == 1 ) { // 水景一页
		$description = "分享WordPress及插件、主题使用经验；电脑和网络的使用方法、技巧、故障排除；软件，特别是办公软件的使用技巧；电影、电视剧、音乐体验……";//将双引号中的内容修改为你自己的
		$keywords = "博客, WordPress, 计算机, windows, 软件, 教学, 插件, 表格, 物理, 教程, go daddy, godaddy, 主机, 空间, 域名, 购买";//将双引号中的内容修改为你自己的
	}
	elseif ( $c_blog_id == 2 ) { // 光子学
		$description = "分享光子学相关新闻、名词汉英解释、手册等。News, dictionary and handbook of photonics";
		$keywords = "光子学, 手册, 词典, 光子, 激光, photonics, laser, dictionary, handbook, 新闻, news, 科学, 光电, 技术, 应用";
	}
	elseif ( $c_blog_id == 4 ) { // support
		$description = "聚·博客支持中心。免费 WordPress 博客。";
		$keywords = "免费, 博客, WordPress, 主机, 空间, 域名, 注册";
	}
	elseif ( $c_blog_id == 11 ) { // 教学资源
		$description = "水景一页的教学资源站。为个人讲授过的应用物理专业部分课程提供一个网上交互环境，方便交流教学、学习、考研方法等；课程包括光电子学、光电信息、通信原理、大学物理、大学物理实验。";
		$keywords = "大学, 教学, 物理, 光学, 光电子, 课程, 实验, 教案, 课件, 软件, 下载";
	}
    elseif ( $c_blog_id == 13 ) { // 产品质量问题不完全记录
        $description = "产品质量问题不完全记录。将自己了解到的产品质量问题方面的报道收集起来，按照产品类别、所属企业这样的分类进行整理，并按照事件时间顺序发布出来，期望能够有助于了解一个企业的质量管理和技术水平，有助于做出正确的购买决定。";
        $keywords = "产品,产品质量,质量安全,质量事故,质量问题,食品,汽车,家居,日用品,化妆品,企业";
    }

}
/**
 * 以下内容针对单个文章页面、静态页面，但排除附件页面
 */
elseif ( is_singular() && !is_attachment() ) {
    /**
     * 2012.06.16 add !is_attachment() to not display these on attachment pages
     * or, we could figure out proper description and kewwords to show on attachment pages, then revise it
     */
	$exerpt = $post->post_excerpt; //2012.11.01 因 get_the_excerpt() 会在没有设定 excerpt 时自动生成一个 excerpt 而导致某些情况下出错。
	if ( $exerpt != '' ) { //是否存在摘要
		$description = $exerpt; //使用文章摘要作为描述
	}
	else {
		$description = $post->post_content; //使用文章内容的前 200 个字符（后面会进行截短）作为描述
    }

	$keywords ="";
	$tags = wp_get_post_tags( $post->ID, array( 'fields' => 'names' ) ); // 2013.10.07, cnzhx, 增加参数以减少数据库查询内容，得到一个仅仅包含标签名称的数组，因而下面的也可以改了
/*2013.10.07, cnzhx,	foreach ( $tags as $tag ) {//遍历该文的所有标签
		$keywords = $tag->name . ", " . $keywords;//使用标签（tags）作为关键词
        // 暂时还没有想好怎么处理静态页面的关键词
	}
	$keywords = $keywords . "水景一页";//我无聊，所以把我的网站名称放到每个页面作为关键词，呵呵，你可以删除这一行
*/
	$keywords = implode(",", $tags);
}

/**
 * 以下部分留着，目前还没想好怎么处理静态页面、分类、标签和日期存档页
 * 相信很多人跟我一样，懒得给每个分类和标签都添加说明
 */
elseif( is_category() ) {
    $description = category_description();
//    $keywords = "";
}
elseif( is_tag() ) {   
    $description = tag_description();
//    $keywords = "";
}

/**
 * 判断前面的程序是否给 description 赋予了具体内容
 * 如果没有就不在网页源代码中显示这一部分
 */
if ( $description != '' ){
    // unhtml the $description
    $description = wp_html_excerpt( wp_strip_all_tags( $description, true ), 200 );
    // via: http://www.php.net/manual/en/function.mb-substr.php#107698
    // $description = join("", array_slice(preg_split("//u", $description, -1, PREG_SPLIT_NO_EMPTY), 0, 200));
    //$description = wp_html_excerpt($description, 200);
?>
<meta name="description" content="<?php echo $description; ?>" />
<?php }
//类似description来处理keywords
if ( $keywords !='' ): ?>
<meta name="keywords" content="<?php echo $keywords; ?>" />
<?php endif; ?>
<?php // end of add meta keywords and description by conditionary ?>

</head>

<body <?php body_class(); ?>>
<div id="page" class="hfeed">
	<header id="branding" role="banner">
            <nav id="network" role="navigation">
            	<h3 class="assistive-text">网站导航</h3>
            	<div class="blogs_list">
            		<ul id="network_menu">
            			<li id="cnzhx" <?php if ( get_current_blog_id() == 1 ) echo "class=\"active\""; ?>><a href="//cnzhx.net/" title="水景一页主站">博客</a></li>
            			<li id="m" <?php if ( get_current_blog_id() == 12 ) echo "class=\"active\""; ?>><a href="//cnzhx.net/m/" title="水景微博">微博</a></li>
            			<li id="teaching" <?php if ( get_current_blog_id() == 11 ) echo "class=\"active\""; ?>><a href="//cnzhx.net/teaching/" title="教学资源">教学</a></li>
            			<li id="photonics" <?php if ( get_current_blog_id() == 2 ) echo "class=\"active\""; ?>><a href="//cnzhx.net/photonics/" title="光子学·Photonics">光子学</a></li>
            			<li id="bbs"><a href="//cnzhx.net/bbs/" title="讨论区">讨论区</a></li>
						<li <?php if ( get_current_blog_id() != 1 && get_current_blog_id() != 2 && get_current_blog_id() != 11 && get_current_blog_id() != 12  ) echo "class=\"active\""; ?>><a href="//cnzhx.net/blogs/" title="博客列表">聚·博客</a></li>
            		</ul>
            	</div>
            </nav>
            
			<hgroup>
				<h1 id="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
				<h2 id="site-description"><?php bloginfo( 'description' ); ?></h2>
			</hgroup>

            <?php
				// Check to see if the header image has been removed
                // Removed original header image section 2012.06.14
			// end check for removed header image ?>
            
			<?php
				// Has the text been hidden?
				
                // Remove original site name check and always display it -- zhx
				// Remove HEADER IMG
                
                get_search_form();
			?>

			<nav id="access" role="navigation">
				<h3 class="assistive-text"><?php _e( 'Main menu', 'twentyeleven' ); ?></h3>
				<?php /* Allow screen readers / text browsers to skip the navigation menu and get right to the good stuff. */ ?>
				<div class="skip-link"><a class="assistive-text" href="#content" title="<?php esc_attr_e( 'Skip to primary content', 'twentyeleven' ); ?>"><?php _e( 'Skip to primary content', 'twentyeleven' ); ?></a></div>
				<div class="skip-link"><a class="assistive-text" href="#secondary" title="<?php esc_attr_e( 'Skip to secondary content', 'twentyeleven' ); ?>"><?php _e( 'Skip to secondary content', 'twentyeleven' ); ?></a></div>
				<?php /* Our navigation menu.  If one isn't filled out, wp_nav_menu falls back to wp_page_menu. The menu assiged to the primary position is the one used. If none is assigned, the menu with the lowest ID is used. */ ?>
				<?php wp_nav_menu( array( 'theme_location' => 'primary' ) ); ?>
			</nav><!-- #access -->
	</header><!-- #branding -->

	<div id="main">
