<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Twenty_Eleven
 */

get_header(); ?>

		<div id="primary">
			<div id="content" role="main">

			<?php if ( have_posts() ) : ?>

				<?php twentyeleven_content_nav( 'nav-above' ); ?>

				<?php /* Start the Loop */ ?>
				<?php while ( have_posts() ) : the_post(); ?>

					<?php get_template_part( 'content', get_post_format() ); ?>

				<?php endwhile; ?>

                
<?php 
    global $paged;
    
	//
	// restore_current_blog() every time after calling switch_to_blog() would not RESTORE to main blog,
	// so, use switch_to_blog(1) to return to main blog in the end.
	//
    if ( 1 == get_current_blog_id() && $paged == 1 ) { ?>

<div class="homebox">
<h3>光子学<span class="homebox-more"><a href="http://cnzhx.net/photonics/">更多...</a></span></h3>
    <ul>
    <?php
        switch_to_blog(2);
    	$args = array( 'numberposts' => '5', 'post_status' => 'publish' );
    	$recent_posts = wp_get_recent_posts( $args );
    	foreach( $recent_posts as $recent ){
    		echo '<li><a href="' . get_permalink($recent["ID"]) . '">' . $recent["post_title"].'</a></li> ';
    	}
        // restore_current_blog();
    ?>
    </ul>
</div>

<div class="homebox">
<h3>教学资源<span class="homebox-more"><a href="http://cnzhx.net/teaching/">更多...</a></span></h3>
    <ul>
    <?php
        switch_to_blog(11);
    	// $args = array( 'numberposts' => '5' );
    	$recent_posts = wp_get_recent_posts( $args );
    	foreach( $recent_posts as $recent ){
    		echo '<li><a href="' . get_permalink($recent["ID"]) . '">' . $recent["post_title"].'</a></li> ';
    	}
        // restore_current_blog();
    ?>
    </ul>
</div>

<div class="clear"></div>

<div class="homebox">
<h3>微博客<span class="homebox-more"><a href="http://cnzhx.net/m/">更多...</a></span></h3>
    <ul>
    <?php
        switch_to_blog(12);
    	// $args = array( 'numberposts' => '5' );
    	$recent_posts = wp_get_recent_posts( $args );
    	foreach( $recent_posts as $recent ){
    		echo '<li><a href="' . get_permalink($recent["ID"]) . '">' . $recent["post_title"].'</a></li> ';
    	}
        // restore_current_blog();
		switch_to_blog(1);
    ?>
    </ul>
</div>

<div class="homebox">
<h3>讨论区<span class="homebox-more"><a href="http://cnzhx.net/bbs/">更多...</a></span></h3>
            <?php // include_once(ABSPATH . WPINC . '/rss.php');
                $feed = 'http://cnzhx.net/bbs/rss.xml';
                $rss = fetch_feed($feed);
                if (!is_wp_error( $rss ) ) :
                    $maxitems = $rss->get_item_quantity(5);
                    $rss_items = $rss->get_items(0, $maxitems);
                    if ($rss_items):
                        echo "<ul>\n";
                        foreach ( $rss_items as $item ) :
                            echo '<li>';
                            echo '<a href="' . $item->get_permalink() . '">' . $item->get_title() . "</a>\n";
                       //     echo '<p>' . $item->get_description() . "</li>\n";
                        endforeach;
                        echo "</ul>\n";
                    endif;
                endif;
            ?>
</div>

<div class="clear"></div>

<?php } ?>

			<?php twentyeleven_content_nav( 'nav-below' ); ?>
			
			<?php else : ?>

				<article id="post-0" class="post no-results not-found">
					<header class="entry-header">
						<h1 class="entry-title"><?php _e( 'Nothing Found', 'twentyeleven' ); ?></h1>
					</header><!-- .entry-header -->

					<div class="entry-content">
						<p><?php _e( 'Apologies, but no results were found for the requested archive. Perhaps searching will help find a related post.', 'twentyeleven' ); ?></p>
						<?php get_search_form(); ?>
					</div><!-- .entry-content -->
				</article><!-- #post-0 -->

			<?php endif; ?>

			</div><!-- #content -->
		</div><!-- #primary -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>