<?php
/**
 * The Footer widget areas.
 *
 * @package WordPress
 * @subpackage Twenty_Eleven
 * @since Twenty Eleven 1.0
 */
?>

<?php
	/* The footer widget area is triggered if any of the areas
	 * have widgets. So let's check that first.
	 *
	 * If none of the sidebars have widgets, then let's bail early.
	 */
	if (   ! is_active_sidebar( 'sidebar-3'  )
		&& ! is_active_sidebar( 'sidebar-4' )
		&& ! is_active_sidebar( 'sidebar-5'  )
	)
		return;
	// If we get this far, we have widgets. Let do this.
?>
<div id="supplementary" <?php twentyeleven_footer_sidebar_class(); ?>>
	<?php if ( is_active_sidebar( 'sidebar-3' ) ) : ?>
	<div id="first" class="widget-area" role="complementary">
		<?php dynamic_sidebar( 'sidebar-3' ); ?>
	</div><!-- #first .widget-area -->
	<?php endif; ?>

	<?php if ( is_active_sidebar( 'sidebar-4' ) ) : ?>
	<div id="second" class="widget-area" role="complementary">
		<?php dynamic_sidebar( 'sidebar-4' ); ?>
	</div><!-- #second .widget-area -->
	<?php endif; ?>

	<?php if ( is_active_sidebar( 'sidebar-5' ) ) : ?>
	<div id="third" class="widget-area" role="complementary">
		
        
        <?php
        /**
         * Active Comment Authors
         * 
         * 2013.05.16
         */
         
         if ( get_current_blog_id() == 0 ) : ?>
         
			<aside class="widget">
			     <h3 class="widget-title">活跃读者</h3>
			     <ul class="two-column-list">

<?php
/**
 * WordPress制作读者评论排行榜
 * @author: Ludou
 * @Blog  : http://www.ludou.org/
 */

    global $wpdb;
    // 执行数据库查询
    // 游客 为 none 去不掉
    //  AND comment_author_url IS NOT NULL 不行
    //  AND comment_author_url <> '' 不行
    //  嗯，终于找到原因，因为有的人留下的地址就是 http://none，真崩溃！
    $counts = $wpdb->get_results("SELECT COUNT(comment_author) AS cnt, comment_author, comment_author_url, comment_author_email
        FROM {$wpdb->prefix}comments
        WHERE comment_date > date_sub( NOW(), INTERVAL 1 MONTH )
            AND comment_approved = '1'
            AND comment_author_url != ''
            AND comment_author_url != 'http://cnzhx.net'
            AND comment_author_url != 'http://cnzhx.net/'
            AND comment_type = ''
            AND user_id = '0'
        GROUP BY comment_author_email
        ORDER BY cnt DESC
        LIMIT 8");

    $mostactive = '';
    
    if ( $counts ) {
    // 输出读者列表       
        foreach ($counts as $count) {
            $c_url = $count->comment_author_url;
            $c_name  = $count->comment_author;
            //$c_cnt = $count->cnt;
            
            $mostactive .= '<li>' . '<a href="'. $c_url . '" title="' . $c_name .//' 发表 '. $count->cnt . ' 条评论'.
                            '">' . $c_name . '</a>' . //(' . $count->cnt . ')' . 
                            '</li>';
        }
        echo $mostactive;
    } 
?>
    </ul>

</aside><!-- active_comment_author -->

<?php endif; // end of blog id test ?>

        <?php dynamic_sidebar( 'sidebar-5' ); ?>
        
	</div><!-- #third .widget-area -->
	<?php endif; ?>
</div><!-- #supplementary -->