<?php
/**
 * The template for displaying page of archives.
 *
 * From k2 theme.
 *
 * @package WordPress
 * @subpackage Twenty_Eleven
 * @since cnzhx 1.0
 */
 
/**
Template Name: Archives
*/


// Counts the posts, pages, comments, categories and tags on your site.
$count_posts    = wp_count_posts( 'post' );
$count_pages    = wp_count_posts( 'page' );
$count_comments	= wp_count_comments();
$count_cats	    = wp_count_terms( 'category', array( 'hide_empty' => true ) );
$count_tags	    = wp_count_terms( 'post_tag', array( 'hide_empty' => true ) );


get_header(); ?>

		<div id="primary">
			<div id="content" role="main">
            
                <h1 class="entry-title"><?php the_title(); ?></h1>

                <div class="entry-content">

					<p class="archivetext">
					<?php
						/* translators: 1: blog name, 2: post count, 3: page count 4: comment count, 5: category count, 6: tag count */
						printf( __('本页展示了 %1$s 网站的整体情况。目前共有 %2$s 篇文章和 %4$s 条评论，分布于 <a href="#cats">%5$s 个分类</a>和 <a href="#tags">%6$s 个标签</a>下。您可以通过链接直接跳转到下面的板块按照<a href="#cats">分类</a>或者<a href="#dates">日期存档</a>浏览相应文章。另外，本站还有 <a href="#pages">%3$s 个静态页面</a>，有的可能并没有显示在导航菜单中。如果您需要找寻特定的内容，请使用<a href="//cnzhx.net/search/">搜索</a>功能。'),
							get_bloginfo('name'),
							$count_posts->publish,
							$count_pages->publish,
							$count_comments->approved,
							$count_cats,
							$count_tags
						);
					?>
					</p>

					<h2 id="pages">静态页面<span class="anchorlink"><a href="#pages">¶</a></span></h2>
					<ul>
						<?php wp_list_pages( array('title_li' => null) ); ?>
					</ul>
					<br class="clear" />
                    
                    <?php
					$tag_cloud = get_terms( 'post_tag' );
					if ( $tag_cloud ) :
					?>
						<h2 id="tags">标签<span class="anchorlink"><a href="#tags">¶</a></span></h2>
						<div id="tag-cloud">
							<?php wp_tag_cloud('number=0'); ?>
						</div>
                        <br class="clear" />
					<?php endif; ?>

					<h2 id="cats">分类<span class="anchorlink"><a href="#cats">¶</a></span></h2>
					<ul class="archive-list">
						<?php wp_list_categories( array( 'hierarchical' => true, 'show_count' => 1, 'title_li' => '' ) ); ?>
					</ul>
					<br class="clear" />
                    
                    <h2 id="dates">按发布日期浏览文章<span class="anchorlink"><a href="#dates">¶</a></span></h2>
					<ul class="archive-list">
						<?php wp_get_archives('show_post_count=1'); ?>
					</ul>
					<br class="clear" />
                    
                </div> <!-- .entry-content -->

			</div><!-- #content -->
		</div><!-- #primary -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>